## org.eclipse.emf.compare.epatch.applier
Interface EpatchApplyStrategy

All Known Implementing Classes:
  EpatchApplyStrategy.EpatchLeftToRightStrategy, EpatchApplyStrategy.EpatchRightToLeftStrategy

    public interface EpatchApplyStrategy

Nested Class Summary
`static class` `EpatchApplyStrategy.EpatchLeftToRightStrategy`
`static class` `EpatchApplyStrategy.EpatchRightToLeftStrategy`
`static class` `EpatchApplyStrategy.Util`

Method Summary
`java.util.List<CreatedObject>` `getAllAddedObjects(NamedObject obj)`
`java.util.List<CreatedObject>` `getAllRemovedObjects(NamedObject obj)`
`java.lang.String` `getInputFragment(ObjectRef obj)`
`NamedResource` `getInputResource(ObjectRef obj)`
`CreatedObject` `getInputRoot(NamedResource res)`
`java.lang.String` `getInputURI(NamedResource res)`
`org.eclipse.emf.common.util.EList<AssignmentValue>` `getInputValues(ListAssignment si)`
`CreatedObject` `getOutputRoot(NamedResource res)`
`java.lang.String` `getOutputURI(NamedResource res)`
`AssignmentValue` `getOutputValue(SingleAssignment si)`
`org.eclipse.emf.common.util.EList<AssignmentValue>` `getOutputValues(ListAssignment si)`

Method Detail

### getAllAddedObjects

    java.util.List<CreatedObject> getAllAddedObjects(NamedObject obj)

### getAllRemovedObjects

    java.util.List<CreatedObject> getAllRemovedObjects(NamedObject obj)

### getInputFragment

    java.lang.String getInputFragment(ObjectRef obj)

### getInputResource

    NamedResource getInputResource(ObjectRef obj)

### getInputRoot

    CreatedObject getInputRoot(NamedResource res)

### getInputURI

    java.lang.String getInputURI(NamedResource res)

### getInputValues

    org.eclipse.emf.common.util.EList<AssignmentValue> getInputValues(ListAssignment si)

### getOutputRoot

    CreatedObject getOutputRoot(NamedResource res)

### getOutputURI

    java.lang.String getOutputURI(NamedResource res)

### getOutputValue

    AssignmentValue getOutputValue(SingleAssignment si)

### getOutputValues

    org.eclipse.emf.common.util.EList<AssignmentValue> getOutputValues(ListAssignment si)

Copyright 2006 IBM Corporation and others. All Rights Reserved.